% 1. Declaration des variables et paramtres.
var y r infl lev;
varexo theta_y_s theta_v theta_phi_s theta_ce;
parameters beta psi_r psi_phi eta psi_csv psi_ce psi_y theta_r theta_y theta_phi sigma rho omega_phi omega_y;
% 2. Parameters calibration (values from estimation)
beta=0.77;
sigma=1;
eta=0.5;
rho= 0.5;
psi_r=0.24;
psi_csv=2;
psi_ce=1.5;
psi_phi=0.18;
psi_y=0.40;
theta_r= 1;
theta_y=0.5;
theta_phi=1.5;
omega_phi=0.18;
omega_y=0.40;
% 3. Description du modle d'analyse
model(linear);
%modele (1) sans friction
y= psi_y*y(+1)- (1/sigma)*(psi_r*r + psi_phi*infl(+1)- rho)+theta_y_s; % courbe is; %courbe IS
r= theta_r*r(-1)+ theta_phi*infl+ theta_y*y+ theta_v; %regle de taylor
infl=infl(-1)+omega_phi*infl(+1)+omega_y*y+theta_phi_s; % courbe de phillips neokeynesien
lev(+1)=-(1/psi_ce)*r(+1)+(eta/psi_ce)*r -(psi_csv/psi_ce)*lev+ theta_ce; %friction financire GK
end;
steady;
check;
shocks;
var theta_y_s; stderr 2;
var theta_ce; stderr 1.5;
var theta_v; stderr 2;
var theta_phi_s; stderr 2;
end;
stoch_simul(order=2,irf=40,periods=2000);